Bug 45958 - Only Copy Visible Cells (after a filter) doesn't work when only unfiltered columns are selected
Summary: Only Copy Visible Cells (after a filter) doesn't work when only unfiltered co...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.3.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 92125 (view as bug list)
Depends on:
Blocks: Cut-Copy Cell-Selection
  Show dependency treegraph
 
Reported: 2012-02-12 11:38 UTC by pirri
Modified: 2019-09-18 08:37 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
CALC example (9.55 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-02-12 11:38 UTC, pirri
Details

Note You need to log in before you can comment on or make changes to this bug.
Description pirri 2012-02-12 11:38:40 UTC
Created attachment 56922 [details]
CALC example

In the LibO online manual (http://help.libreoffice.org/Calc/Only_Copy_Visible_Cells) says : 

Cells were filtered by AutoFilters, standard filters or advanced filters. --> Only the visible cells of the selection are copied, deleted, moved, or formatted. 

This is not completly true, at least when you want to COPY data. 

Try this:

1. Open the attachment.
2. Filter the data (for example, by Country).
3. Edit-->Select all, then copy, then go to sheet 2 and paste the data. Only the visible cells are copied (as expected ).

Now, try this:

1. With the data still filtered, select column "Name" and then hold CTRL and select column "Salary"
2. Edit -> Copy, and then paste the date in the sheet 2.

As you can see, ALL cells are copied, not only the visible ones. The expected behavior should be copy the visible cells only (I think).
Comment 1 pirri 2012-02-12 12:16:38 UTC Comment hidden (obsolete)
Comment 2 Roman Eisele 2012-05-03 10:09:46 UTC Comment hidden (obsolete)
Comment 3 sasha.libreoffice 2012-05-17 06:32:50 UTC
Thanks for bugreport
reproduced in 3.3.4 and 3.5.3 on Fedora 64 bit

What is interesting: in 3.3.4 after apply filter, all rows except selected by filter are hidden (in msExcel 2007 the same). But in 3.5.3 not only rows selected by filter are shown, but also all empty rows.

Changing version to 3.3.4 as most early reproducible
Comment 4 Mirosław Zalewski 2013-08-16 21:33:33 UTC
@Kohei: could you take a look at this? Check if this qualifies as EasyHack and possibly give some code pointer for anyone interested in working on this?


It seems that "Copy only visible cells" feature is triggered only if filtered column is copied along.
Comment 5 QA Administrators 2015-04-01 14:41:37 UTC Comment hidden (obsolete)
Comment 6 Buovjaga 2015-04-23 18:48:01 UTC
Repro with attachment 56922 [details].

Win 7 Pro 64-bit Version: 5.0.0.0.alpha1+ (x64)
Build ID: f3375fa07f27bd2ade519af3c07d69040d10eaa9
TinderBox: Win-x86_64@42, Branch:master, Time: 2015-04-22_23:38:50
Locale: fi_FI
Comment 7 QA Administrators 2016-09-20 09:32:08 UTC Comment hidden (obsolete)
Comment 8 Mirosław Zalewski 2016-09-20 17:06:32 UTC
Reproduced on:
Version: 5.2.0.4
Build ID: 066b007f5ebcc236395c7d282ba488bca6720265
CPU Threads: 1; OS Version: Windows 6.2; UI Render: default; 
Locale: pl-PL (pl_PL)
Comment 9 UserBDF1011 2017-03-21 01:11:44 UTC
I have stumbled upon this nasty bug also on Calc version 5.2.5.1.
Some more info about it: it happens on ods and xls, so document type seems irrelevant.
I was copying rows, not columns but behavior is the same.

There is a catch how to avoid the bug with some extra steps, but most people will not do this in real life when using Calc.
When I open the document and just open filter combo box that effectively filters visible data, I just (re)click the filter to be exactly the same as it was originally and apply it (again). So it does not result in any visible changes. But then copy/paste works as expected.
Comment 10 Timur 2018-02-21 12:42:22 UTC
*** Bug 92125 has been marked as a duplicate of this bug. ***
Comment 11 QA Administrators 2019-07-11 02:54:01 UTC
Dear pirri,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug